server:
  port: 8080
spring:
  main:
    # 新创建的bean覆盖旧的bean
    allow-bean-definition-overriding: true
  application:
    # DbName / FileDirName / SchemaPrefix
    name: qiaoba-boot
  profiles:
    active: dev
  servlet:
    multipart:
      #开启文件上传
      enabled: true
      #限制文件上传大小为 200M
      max-file-size: 200MB
      #限制文件上传大小为 200M
      max-request-size: 200MB
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  # redis 配置
  redis:
    # 地址
    host: 127.0.0.1
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    #password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  datasource:
    druid:
      # 自己配置监控统计拦截的filter
      filter:
        # 开启druiddatasource的状态监控
        stat:
          enabled: true
          # 开启慢sql监控，超过2s 就认为是慢sql，记录到日志中
          log-slow-sql: true
          slow-sql-millis: 2000
        # 日志监控，使用slf4j 进行日志输出
        slf4j:
          enabled: true
          statement-log-error-enabled: true
          statement-create-after-log-enabled: false
          statement-close-after-log-enabled: false
          result-set-open-after-log-enabled: false
          result-set-close-after-log-enabled: false
      ########## 配置WebStatFilter，用于采集web关联监控的数据 ##########
      web-stat-filter:
        enabled: true                   # 启动 StatFilter
        url-pattern: /*                 # 过滤所有url
        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*" # 排除一些不必要的url
        session-stat-enable: true       # 开启session统计功能
        session-stat-max-count: 1000    # session的最大个数,默认100
      ########## 配置StatViewServlet（监控页面），用于展示Druid的统计信息 ##########
      stat-view-servlet:
        enabled: true                   # 启用StatViewServlet
        url-pattern: /druid/*           # 访问内置监控页面的路径，内置监控页面的首页是/druid/index.html
        reset-enable: false              # 不允许清空统计数据,重新计算
        login-username: root            # 配置监控页面访问密码
        login-password: root
#        allow: 127.0.0.1           # 允许访问的地址，如果allow没有配置或者为空，则允许所有访问
#        deny:                                        # 拒绝访问的地址，deny优先于allow，如果在deny列表中，就算在allow列表中，也会被拒绝

qiaoba:
  auth:
    whitelist:
      - /
      - /*.*
      - /favicon.ico
      - /**/*.html
      - /**/*.css
      - /**/*.js
      - /swagger-resources
      - /v3/api-docs/**
      - /druid/**
      - /resource/**
      - /login
      - /getInfo
      - /register
      - /captchaImage
      - /tenant/normal-list

springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: '系统管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.system.controller
    - group: '文件管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.file.controller
    - group: '租户管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.tenant.controller
    - group: '监控管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.monitor.controller
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: true
  setting:
    language: zh_cn
    enable-swagger-models: false
    enable-footer-custom: true
    footer-custom-content: create by ailanyin

